# UniTAP.dev.ports.modules.fec.fec_rx

class FecRx:

Class `FecRx` allows working with FEC functionality from Sink (RX - receiver) side. You can:

- Check capable FEC or not `is_capable`.
- Check enabled FEC or not `is_enabled`.
- Enable/Disable FEC `enable`.
- Enable/Disable calculating sum of errors `aggregate_errors`.
- Get error counters `get_error_counters`.
- Clear all errors `clear`.

FecRx( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, dpcd: UniTAP.dev.ports.modules.dpcd.dpcd.DPCDRegisters)
def is_enabled(self) -> bool:

Returns status of FEC, is enabled or not.

###### Returns:

> object of `bool` type.

def is_capable(self) -> bool:

Returns status of FEC, is capable or not.

###### Returns:

> object of `bool` type.

def enable(self, enable: bool):

Enable/Disable FEC.

###### Arguments:

- enable (bool) - enable (True) or disable (False)

def aggregate_errors(self, enable: bool):

Enable/Disable calculating sum of errors.

###### Arguments:

- enable (bool) - enable (True) or disable (False)

def get_error_counters(self) -> UniTAP.dev.ports.modules.fec.fec_shared.FECCounters:

Get current error counters.

###### Returns:

> object of `FECCounters` type

def clear(self):

Clear all errors.